package xyz.stachel.zombiesutils;

import net.fabricmc.api.ClientModInitializer;
import net.fabricmc.fabric.api.client.rendering.v1.HudLayerRegistrationCallback;
import net.hypixel.modapi.HypixelModAPI;
import net.hypixel.modapi.packet.impl.clientbound.event.ClientboundLocationPacket;
import xyz.stachel.zombiesutils.handlers.Location;
import xyz.stachel.zombiesutils.handlers.Renderer;

public class ZombiesUtilsClient implements ClientModInitializer {

	@Override
	public void onInitializeClient() {
    HypixelModAPI.getInstance().subscribeToEventPacket(ClientboundLocationPacket.class);
    HypixelModAPI.getInstance().createHandler(ClientboundLocationPacket.class, Location::onLocation);
    ZombiesUtils.LOGGER.info("initializing...");
    HudLayerRegistrationCallback.EVENT.register(new Renderer());
	}

}
